# class RSS::Maker::RSS20::Channel::Categories::Category

### Public Instance Methods

to_feed(rss, channel) click to toggle source

    # File lib/rss/maker/2.0.rb, line 57
    def to_feed(rss, channel)
      category = Rss::Channel::Category.new
      set = setup_values(category)
      if set
        channel.categories << category
        set_parent(category, channel)
        setup_other_elements(rss, category)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/2.0.rb, line 68
    def required_variable_names
      %w(content)
    end